For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Shipping Provider
      • Tax Provider
      • Webhooks
          • GETList Webhooks
          • POSTCreate Webhook
          • GETGet Webhook
          • PUTUpdate Webhook
          • DELDelete Webhook
          • GETGet Admin Info
          • PUTUpsert Email Notifications
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTIntegrationsWebhooks

Get Webhook

GET
https://api.bigcommerce.com/stores/:store_hash/v3/hooks/:webhook_id
GET
/stores/:store_hash/v3/hooks/:webhook_id
$curl https://api.bigcommerce.com/stores/store_hash/v3/hooks/22561593 \
> -H "X-Auth-Token: <apiKey>"
1{
2 "data": {
3 "id": 18048287,
4 "client_id": "m9r6keqmo7h7f23btnpwernbez1kglkl",
5 "store_hash": "sftg45fsd",
6 "scope": "store/order/created",
7 "destination": "https://665b65a6.ngrok.io/webhooks",
8 "headers": {
9 "custom-key": "developer-defined value"
10 },
11 "is_active": true,
12 "created_at": 1561488106,
13 "updated_at": 1561488106
14 },
15 "meta": {}
16}
Return a webhook by ID.
Was this page helpful?
Previous

Create Webhook

Next

Update Webhook

Built with

Authentication

X-Auth-Tokenstring

OAuth scopes

None required. Create and manage webhooks with the default scope of an API account.

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

webhook_idintegerRequired>=1
The ID of a Webhook.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringOptionalDefaults to application/json

Response

Example response
dataobject
metaany

Errors

401
Unauthorized Error
404
Not Found Error